Subject: Re: patch against linuxppc_2_4_devel: ppc405_wdt.c needs to be fixed

From: Matthias Fuchs <[email-masked]>
Date: Wed, 04 Jun 2003 15:51:06 +0200

Hi Kenneth,

it seems that the 405 watchdog does not really work. It's something like a soft-watchdog
actually. I did not test it in a loop with irqs off.

At least my patch corrected the ioctls and I get a working software watchdog.
I wonder what happened to the 405 hardware watchdog support.

Matthias

Kenneth Johansson wrote:
> Dose the watchdog actually work ??
>
> What happens when you get into a infinite loop when interrupts are
> turned off?
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/